Subject: Re: bug#45200: [PATCH] Force Glibc to free the memory freed

From: Andreas Schwab <[email-masked]>
Date: Wed, 03 Feb 2021 16:12:23 +0100

On Feb 03 2021, Eli Zaretskii wrote:

> The purpose of freeing memory is to make it available for further
> allocations by the program.  You seem to interpret "freeing memory" to
> mean that memory should be returned to the OS, but that's not
> necessarily true, and isn't required to allow the freeing program be
> able to allocate more memory in the future.

Especially as asking the OS to (de)allocate memory is a more expensive
operation.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."